@import '../../../assets/styles/common';

.update-link-accounts {
  &__header {
    display: flex;
    margin-bottom: 4rem;
    padding: 0;
    border-bottom: 1px solid #424268;
    font-style: Italic;
    font-size: 3.5rem;
    text-align: left;
  }

  &__card {
    width: 50%;
    max-width: 96rem;
    min-height: 50rem;
    margin-top: 6.7rem;
    margin-bottom: 5rem;
    padding: 7.6rem;
    border: 2px solid $white;
    border-radius: 25px;
    background-image: $profile-gradient;
  }

  &__wrapper {
    margin: 8rem 0;
  }

  &__content {
    width: 100%;
    border-radius: 10px;
    opacity: 1;

    &-header {
      margin: 0;
      font-style: italic;
      font-size: 2.2rem;
      text-align: left;
      letter-spacing: 0;
    }

    &-body {
      display: flex;
      flex-wrap: wrap;
      // justify-content: space-between;
      margin: 2rem auto;

      &-parent {
        position: relative;
        width: 23rem;
        height: 29rem;
        margin: 0 4rem 4rem 0;
        padding-bottom: 4rem;
        border: 3px solid;
        border-radius: 10px;
        text-align: center;
        background: transparent $update-profile__gradient 0 0 no-repeat padding-box;
        box-shadow: 2px 6px 11px #000000bf;
        border-image-source: radial-gradient(#ffffff, $blue-light-one);
        border-image-slice: 1;
      }

      &-parent-dark {
        border-image-source: $update-profile__gradient-dark;
      }

      &-icon {
        width: 7.5rem;
        height: auto;

        &-fb {
          width: 4rem;
          height: 6rem;
        }

        &-league {
          width: 15rem;
          height: 7rem;
        }

        &__wrapper {
          display: flex;
          justify-content: center;
          align-items: center;
          height: 11rem;
          margin: 4rem 0 2rem;
        }
      }

      &-text {
        min-height: 6.5rem;
      }

      &-name {
        margin: 5px 0;
        text-transform: capitalize;
      }

      &-username {
        margin: 5px 0;
        word-break: break-word;
      }

      &-btn {
        margin: 3rem  0 0;
        cursor: pointer;

        &-notAllowed {
          cursor: not-allowed;
        }

        &__wrapper {
          display: block;
          position: absolute;
          bottom: 0;
          width: 100%;
        }
      }
    }
  }

  &__connection {
    display: flex;
    position: relative;
    width: 100%;
    margin: 3rem 0;
    padding: 3rem;
    border: 4px solid black;
    border-radius: 10px;
    opacity: 1;

    &-wrapper {
      width: 100%;
    }

    &-user {
      @extend .update-link-accounts__content-header;

      width: 95%;
      font-size: 2.6rem;
      opacity: 1;
      overflow-wrap: break-word;
    }

    &-label {
      @extend .update-link-accounts__content-header;

      font-size: 1.7rem;
    }

    &-icon {
      width: 3.9rem;
      height: 3.9rem;
      margin-right: 2rem;
    }

    &-close {
      width: 1.8rem;
      height: 1.8rem;
      margin: -1.5rem;
      background-image: url('../../../assets/images/profile/close_white.png');
      background-repeat: no-repeat;
      background-size: 1.8rem;
      cursor: pointer;

      &:hover {
        background-image: url('../../../assets/images/profile/close_grey.png');
        background-repeat: no-repeat;
      }
    }
  }

  @media only screen and (max-width: 1400px) {
    &__wrapper {
      margin: 4rem 0;
    }

    &__content {
      &-header {
        font-size: 2rem;
      }

      &-body {
        &-btn {
          width: 16rem;
          margin-top: 1rem;
        }
      }
    }

    &__content-body {
      justify-content: space-between;

      &-parent-dark {
        margin: 0  0 3rem;
      }
    }
  }
}

.update-connections__wrapper {
  width:100%;
}
